/**
 * 资源加载器（image/css/js/svga）
 *
 * @param {Array} url 资源路径数组
 * @param {Number} retry 加载失败时的重试次数
 * @param {Boolean} autoStart 是否在实例化时自动执行start()
 * @return {Function} SourceLoader
 */
declare class SourceLoader {
    private configs;
    private $onEvent;
    private loadData;
    constructor(argument: any);
    private init;
    private loader;
    /**
     * loadend事件处理
     *
     * @param {object} node 节点对象
     * @param {String} url 当前加载的资源url
     * @param {String} type 资源类型 "script||style||image||svga"
     * @param {Number} requestCounts 当前请求的次数
     * @return {Funtion} 事件处理函数
     */
    private loadendEvent;
    private errorHandle;
    private successHandle;
    start(): void;
    $on(type: string, fun: (...options: any) => void): void;
}
export default SourceLoader;
