/**
 * Tween 线性运动函数
 *
 * @param {number} options.from 起始
 * @param {number} options.to 截止
 * @param {number} options.duration 持续时间，ms
 * @method Tween.$on('process', (value) => {}) 动画过程持续触发，返回当前运动位置
 * @method Tween.$on('complete', (value) => {}) 动画结束时触发，返回当前运动位置
 * @return void
 */
declare class Tween {
    private $onEvent;
    private rate;
    private start;
    private defaultEasing;
    private easing;
    constructor(argument: {
        from: number;
        to: number;
        duration: number;
        easing?: string;
    });
    $on(type: string, fun: (...options: any) => void): void;
}
export default Tween;
